## org.eclipse.emf.edit.provider
Interface IChildCreationExtender.Descriptor

Enclosing interface:
  IChildCreationExtender

    public static interface IChildCreationExtender.Descriptor

A descriptor can create a child creation extender. They are used as the values in a `registry`.

Nested Class Summary
`static interface` `IChildCreationExtender.Descriptor.Registry` A registry is an index that takes a namespace and maps it to a collection of `descriptor`s.

Method Summary
`IChildCreationExtender` `createChildCreationExtender()` Creates a child creation extender.

Method Detail

### createChildCreationExtender

    IChildCreationExtender createChildCreationExtender()

  Creates a child creation extender.

  Returns:
    a new child creation extender.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.